# Array

    extension Array: CoreStoreDebugStringConvertible

    extension Array: FieldRelationshipType, FieldRelationshipToManyType, FieldRelationshipToManyOrderedType where Element: CoreStoreObject

### FieldRelationshipType

- `DestinationObjectType`

  #### Declaration

  Swift

      public typealias DestinationObjectType = Element

- `NativeValueType`

  #### Declaration

  Swift

      public typealias NativeValueType = NSOrderedSet

- `SnapshotValueType`

  #### Declaration

  Swift

      public typealias SnapshotValueType = [NSManagedObjectID]

- `PublishedType`

  #### Declaration

  Swift

      public typealias PublishedType = [ObjectPublisher<DestinationObjectType>]

- `cs_toReturnType(from:)`

  #### Declaration

  Swift

      public static func cs_toReturnType(from value: NativeValueType?) -> Array<Element>

- `cs_toPublishedType(from:in:)`

  #### Declaration

  Swift

      public static func cs_toPublishedType(from value: SnapshotValueType, in context: NSManagedObjectContext) -> PublishedType

- `cs_toNativeType(from:)`

  #### Declaration

  Swift

      public static func cs_toNativeType(from value: `Self`) -> NativeValueType?

- `cs_toSnapshotType(from:)`

  #### Declaration

  Swift

      public static func cs_toSnapshotType(from value: PublishedType) -> SnapshotValueType

- `cs_valueForSnapshot(from:)`

  #### Declaration

  Swift

      public static func cs_valueForSnapshot(from objectIDs: [DestinationObjectType.ObjectID]) -> SnapshotValueType